#version 330 core

uniform sampler2D particle;

layout (location = 0) out vec4 frag_color;

void main()
{
	vec4 color = texture(particle, gl_PointCoord.xy).rrrr;
	//color *= color.a;
	frag_color = color;
}
